%define _use_internal_dependency_generator 0

Summary: A Perl module containing a wide variety of date manipulation routines.
Name: perl-DateManip
Version: 5.40
Release: 30.XOS.1
License: distributable
Group: Applications/CPAN
Source0: DateManip-%{version}.tar.gz
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/perl-DateManip-buildroot/
BuildRequires: perl >= 0:5.00503
Requires: perl >= 0:5.00503
BuildArch: noarch

%description
This is a set of routines designed to make any common date/time
manipulation easy to do.  Operations such as comparing two times,
calculating a time a given amount of time from another, or parsing
international times are all easily done.


# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n DateManip-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > DateManip-%{version}-filelist
if [ "$(cat DateManip-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f DateManip-%{version}-filelist
%defattr(-,root,root)

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 5.40-30.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on perl-DateManip-5.40-30.src.rpm
  (md5sum of original source rpm: bae7aa3fc219cd7e10d16942cd2b9fe6).

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Dec 7 2001 root <root@redhat.com>
- Spec file was autogenerated. 
